#!/bin/sh
WORKSPACE=$(pwd) # workspace
echo "${WORKSPACE}"

mkdir ${WORKSPACE}/output
if [[ ! -d "$WORKSPACE/pub_cache" ]] ;then
  mkdir ${WORKSPACE}/pub_cache
fi
if [[ ! -d "$WORKSPACE/build_cache" ]] ;then
  mkdir ${WORKSPACE}/build_cache
fi

# 配置缓存下的flutter环境
#git clone ssh://git@icode.baidu.com:8235/baidu/flutter-dev/agile-script
#sh agile-script/download_sdk.sh 1.22.4 $WORKSPACE

export JAVA_HOME=/home/scmtools/buildkit/jdk-1.8u92/
export CLASS_PATH=$JAVA_HOME1/lib
export PATH=.:$PATH:$JAVA_HOME1/bin

GRADLE_HOME=/home/scmtools/buildkit/gradle/gradle-5.6.4/
export GRADLE_HOME
export PATH=$PATH:$GRADLE_HOME/bin

export FLUTTER_ROOT=/home/scmtools/buildkit/flutter/tieba/flutter-1.22.4/
export PATH=$PATH:$FLUTTER_ROOT/bin
export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

if [[ ! -d "$WORKSPACE/pub_cache/" ]] ;then
echo "--------------flutter build: 没有pub_cache目录，重新创建"
mkdir $WORKSPACE/pub_cache
fi

export PUB_CACHE=${WORKSPACE}/pub_cache
export HOME=$WORKSPACE/build_cache
export ANDROID_SDK_HOME=$WORKSPACE/build_cache

#if [[ -f "$FLUTTER_ROOT/bin/cache/lockfile" ]] ;then
#echo "!!!!!!!!!flutter: delete lockfile!!!!!!!!!"
#rm -rf $FLUTTER_ROOT/bin/cache/lockfile
#fi

echo "--------------flutter build:start_build in $WORKSPACE"
#开始打包
cd $WORKSPACE

#设置git
git init
git remote add origin https://github.com/flutter/flutter.git

echo "--------------flutter build:开始执行pub get"
flutter pub get

echo "--------------flutter build:flutter安装依赖"
flutter doctor -v

echo "--------------flutter build:输出pub_cache"
du -sh $WORKSPACE/pub_cache

# 设置AK
echo "--------------flutter build:设置AK"
cd android/app/src/main/
sed -i '' 's/请在此输入您在开放平台上申请的API_KEY/Y9Bz6f55nTIE5dvSvxxTLRFoIkP5lxG9/g' AndroidManifest.xml
cd ../../../../

echo "--------------flutter build:开始build apk"
cd $WORKSPACE
flutter build apk --target-platform android-arm64 --no-shrink

echo "--------------flutter build:输出build_cache"
du -sh $WORKSPACE/build_cache

echo "--------------flutter build:输出build产物到output目录"
cp -R $WORKSPACE/build/app/outputs $WORKSPACE/output
